## fwupd 1.9.11

=== meson_options.txt ===
option('build',
  type: 'combo',
  choices: [
    'all',
    'standalone',
    'library',
  ],
  value: 'all',
  description: 'build type',
)
option('consolekit',
  type: 'feature',
  description: 'ConsoleKit support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('static_analysis',
  type: 'boolean',
  value: false,
  description: 'enable GCC static analysis support',
)
option('dbus_socket_address',
  type: 'string',
  value: '',
  description: 'D-Bus socket address to use for p2p mode',
)
option('firmware-packager',
  type: 'boolean',
  value: true,
  description: 'enable firmware-packager installation',
)
option('docs',
  type: 'feature',
  description: 'Build developer documentation',
  deprecated: {
    'docgen': 'enabled',
    'none': 'disabled',
  },
)
option('introspection',
  type: 'feature',
  description: 'generate GObject Introspection data',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('lvfs',
  type: 'combo',
  choices: [
    'true',
    'false',
    'disabled',
  ],
  value: 'true',
  description: 'install LVFS remotes',
)
option('man',
  type: 'boolean',
  value: true,
  description: 'enable man pages',
)
option('libarchive',
  type: 'feature',
  description: 'libarchive support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('gudev',
  type: 'feature',
  description: 'GUdev support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('gusb',
  type: 'feature',
  description: 'GUsb support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('bluez',
  type: 'feature',
  description: 'BlueZ support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('polkit',
  type: 'feature',
  description: 'PolKit support in daemon',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('gnutls',
  type: 'feature',
  description: 'GnuTLS support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('sqlite',
  type: 'feature',
  description: 'sqlite support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('passim',
  type: 'feature',
  description: 'Passim support',
)
option('lzma',
  type: 'feature',
  description: 'LZMA support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('cbor',
  type: 'feature',
  description: 'CBOR support for coSWID and uSWID',
)
option('plugin_acpi_phat',
  type: 'feature',
  description: 'ACPI PHAT support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_amdgpu',
  type: 'feature',
  description: 'AMDGPU support',
)
option('plugin_android_boot',
  type: 'feature',
  description: 'Android Boot support',
)
option('plugin_bcm57xx',
  type: 'feature',
  description: 'BCM57xx support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_cfu',
  type: 'feature',
  description: 'CFU support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_cpu',
  type: 'feature',
  description: 'CPU support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_emmc',
  type: 'feature',
  description: 'eMMC support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_ep963x',
  type: 'feature',
  description: 'EP963x support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_fastboot',
  type: 'feature',
  description: 'Fastboot support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_gpio',
  type: 'feature',
  description: 'Linux GPIO support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_igsc',
  type: 'feature',
  description: 'Intel Graphics System Controller support',
)
option('plugin_kinetic_dp',
       type: 'feature',
       description: 'Kinetic SST/MST DisplayPort converter support',
)
option('plugin_logitech_bulkcontroller',
  type: 'feature',
  description: 'Logitech bulk controller support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_logitech_scribe',
  type: 'feature',
  description: 'Logitech Scribe support',
)
option('plugin_logitech_tap',
  type: 'feature',
  description: 'Logitech Tap support',
)
option('plugin_parade_lspcon',
  type: 'feature',
  description: 'Parade LSPCON support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_pixart_rf',
  type: 'feature',
  description: 'PixartRF support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_realtek_mst',
  type: 'feature',
  description: 'Realtek MST hub support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_synaptics_mst',
  type: 'feature',
  description: 'Synaptics MST hub support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_mediatek_scaler',
  type: 'feature',
  description: 'Mediatek scaler support',
)
option('plugin_synaptics_rmi',
  type: 'feature',
  description: 'Synaptics RMI support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_scsi',
  type: 'feature',
  description: 'SCSI support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_tpm',
  type: 'feature',
  description: 'TPM support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_redfish',
  type: 'feature' ,
  description: 'Redfish support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_uefi_capsule',
  type: 'feature',
  description: 'UEFI capsule support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_uefi_capsule_splash',
  type: 'boolean',
  value: true,
  description: 'enable UEFI capsule splash support',
)
option('plugin_uefi_pk',
  type: 'feature',
  description: 'UEFI PK support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_nitrokey',
  type: 'feature',
  description: 'Nitrokey support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_nvme',
  type: 'feature',
  description: 'NVMe support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_modem_manager',
  type: 'feature',
  description: 'ModemManager support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_msr',
  type: 'feature',
  description: 'MSR support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_mtd',
  type: 'feature',
  description: 'MTD support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_flashrom',
  type: 'feature',
  description: 'flashrom support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_intel_me',
  type: 'feature',
  description: 'enable Intel ME support',
)
option('plugin_intel_spi',
  type: 'boolean',
  value: false,
  description: 'enable Intel SPI support',
)
option('plugin_vendor_example',
  type: 'boolean',
  value: false,
  description: 'enable vendor example support',
)
option('plugin_uf2',
  type: 'feature',
  description: 'support for UF2',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_upower',
  type: 'feature',
  description: 'support for UPower',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('plugin_powerd',
  type: 'feature',
  description: 'support for powerd',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('qubes',
  type: 'boolean',
  value: false,
  description: 'build packages for Qubes OS',
)
option('supported_build',
  type: 'feature',
  description: 'distribution package with upstream support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('systemd',
  type: 'feature',
  description: 'systemd support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('systemd_unit_user',
  type: 'string',
  value: 'fwupd-refresh',
  description: 'User account to use for fwupd-refresh.service (empty for DynamicUser)',
)
option('systemd_root_prefix',
  type: 'string',
  value: '',
  description: 'Directory to base systemd’s installation directories on',
)
option('launchd',
  type: 'feature',
  value: 'auto',
  description: 'Launchd auto-launch support (MacOS only)'
)
option(
  'launchd_agent_dir',
  type: 'string',
  value: '/Library/LaunchAgents',
  description: 'Directory to put the launchd agent'
)
option('elogind',
  type: 'feature',
  description: 'elogind support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('tests',
  type: 'boolean',
  value: true,
  description: 'enable tests',
)
option('curl',
  type: 'feature',
  description: 'libcurl support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('udevdir',
  type: 'string',
  value: '',
  description: 'Directory for udev rules',
)
option('efi_os_dir',
  type: 'string',
  description: 'the hardcoded name of OS directory in ESP, e.g. fedora',
)
option('efi_binary',
  type: 'boolean',
  value: true,
  description: 'generate uefi binary if missing',
)
option('metainfo',
  type: 'boolean',
  value: true,
  description: 'install the project metainfo.xml information',
)
option('bash_completion',
  type: 'boolean',
  value: true,
  description: 'enable bash completion',
)
option('fish_completion',
  type: 'boolean',
  value: true,
  description: 'enable fish completion',
)
option('offline',
  type: 'feature',
  description: 'Allow installing firmware using a pre-boot systemd target',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('compat_cli',
  type: 'boolean',
  value: false,
  description: 'enable legacy commands: fwupdagent,dfu-tool,fwupdate',
)
option('hsi',
  type: 'feature',
  description: ' Host Security Information',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)
option('thinklmi_compat',
  type: 'boolean',
  description: 'Include workaround for thinklmi kernel bugs',
)
option('python',
  type: 'string',
  description: 'the absolute path of the python3 binary',
)

## fwupd 1.9.16

=== meson_options.txt ===
--- 
+++ 
@@ -122,6 +122,17 @@
   type: 'feature',
   description: 'Passim support',
 )
+option('p2p_policy',
+  type: 'combo',
+  choices: [
+    'none',
+    'metadata',
+    'firmware',
+    'metadata,firmware',
+  ],
+  value: 'metadata',
+  description: 'Default P2P sharing policy',
+)
 option('lzma',
   type: 'feature',
   description: 'LZMA support',
@@ -473,6 +484,11 @@
   value: '',
   description: 'Directory for udev rules',
 )
+option('vendor_metadata',
+  type: 'boolean',
+  value: false,
+  description: 'install OS vendor provided metadata',
+)
 option('efi_os_dir',
   type: 'string',
   description: 'the hardcoded name of OS directory in ESP, e.g. fedora',

=== debian/changelog ===
fwupd (1.9.16-1) unstable; urgency=medium

  * New upstream version (1.9.16).
  * Drop all patches, upstream.
  * debian/control: 
    - b-d on libxmlb 0.3.17.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 05 Apr 2024 06:36:14 -0500

fwupd (1.9.15-2) unstable; urgency=medium

  * Backport patches to improve heuristics in ESP detection with a non
    GRUB bootloader.
  * Backport patch to fix cleanup after updates
  * Backport patch to display CoD/NVRAM/GRUB in UEFI update summary.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 22 Mar 2024 12:25:50 -0500

fwupd (1.9.15-1) unstable; urgency=medium

  * New upstream version (1.9.15)
  * Drop patch included upstream

 -- Mario Limonciello <superm1@gmail.com>  Mon, 11 Mar 2024 12:31:22 -0500

fwupd (1.9.14-2) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Call dh_installsysusers explicitly, depend on systemd-sysusers
    (Closes: #1065466)

  [ Mario Limonciello ]
  * Backport a patch to avoid probing for BOS descriptor on really old USB devices

 -- Mario Limonciello <superm1@gmail.com>  Thu, 07 Mar 2024 06:37:07 -0600

fwupd (1.9.14-1) unstable; urgency=medium

  * New upstream version (1.9.14)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 26 Feb 2024 12:52:35 -0600

fwupd (1.9.13-1) unstable; urgency=medium

  * New upstream version (1.9.13)
  * Fixes conffile migrations from some older versions.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 08 Feb 2024 11:51:17 -0600

fwupd (1.9.12-4) unstable; urgency=medium

  * debian/tests/ci: Put all stderr into stdout.
    fwupdtool is pretty verbose with messages that happen to go to stderr
    but aren't errors.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 25 Jan 2024 14:19:28 -0600

fwupd (1.9.12-3) unstable; urgency=medium

  * Try harder to correct the FTBFS so that both libsystemd-dev and
    systemd-dev get installed.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 24 Jan 2024 12:32:54 -0600

fwupd (1.9.12-2) unstable; urgency=medium

  * Correct a FTBFS mistake where the systemd-dev was applied to the wrong
    alternative.  It didn't reproduce locally because my chroot was old.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 24 Jan 2024 11:25:54 -0600

fwupd (1.9.12-1) unstable; urgency=medium

  * New upstream version (1.9.12)
  * Adjust build-depends to cover systemd-dev (Closes: #1060577)
  * Build depends on valgrind-if-available.  Enables for loongarch64
    too (Closes: #1059606)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 24 Jan 2024 06:56:42 -0600

fwupd (1.9.11-1) unstable; urgency=medium

  * New upstream version (1.9.11)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 03 Jan 2024 07:39:33 -0600

fwupd (1.9.10-1) unstable; urgency=medium

  * New upstream version (1.9.10)
  * Fixes scroll bars from fwupd-refresh (Closes: #1040245)
  * Stop advertising update support for certain unsupported genesys hubs
    (LP: #2044022)
  * Remove extra conffiles with the 1.9.10~ version instead.
    (Closes: #932617)
  * Fix FTBFS when udev.pc changes (Closes: #1057241)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 04 Dec 2023 08:58:30 -0600

fwupd (1.9.9-2) unstable; urgency=medium

  * Backport a patch to fix probing on amd-gpu.
  * Remove extra confffiles (Closes: #1040350)
  * Remove extra stuff in /var during purge (Closes: #932617)

 -- Mario Limonciello <superm1@gmail.com>  Sat, 25 Nov 2023 07:36:55 -0600

fwupd (1.9.9-1) unstable; urgency=medium

  * New upstream version (1.9.9)
  * Handle /usr merge (Closes: #1052993)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 20 Nov 2023 14:53:56 -0600

fwupd (1.9.8-1) unstable; urgency=medium

  * New upstream version (1.9.8)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 14 Nov 2023 12:02:51 -0600

fwupd (1.9.7-1) unstable; urgency=medium

  * New upstream version (1.9.7)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 01 Nov 2023 08:05:20 -0500

fwupd (1.9.6-1) unstable; urgency=medium

  * New upstream version (1.9.6)
  * Drop unneeded libsmbios-dev and libefiboot-dev build-depends

 -- Mario Limonciello <superm1@gmail.com>  Fri, 06 Oct 2023 11:38:45 -0500

=== debian/control ===
Source: fwupd
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <superm1@gmail.com>
Build-Depends:
	bash-completion,
	debhelper (>= 12),
	dh-strip-nondeterminism,
	fontconfig,
	fonts-noto,
	fwupd-unsigned-dev [amd64 arm64 armhf i386],
	gettext (>= 0.19.8.1),
	gir1.2-pango-1.0,
	gnu-efi [amd64 arm64 armhf i386],
	gnutls-bin,
	gnutls-dev,
	gobject-introspection,
	libarchive-dev,
	libcairo-dev,
	libcairo-gobject2,
	libcbor-dev,
	libcurl4-gnutls-dev,
	libdrm-dev,
	libflashrom-dev [!ia64],
	libfreetype-dev,
	libftdi1-dev,
	libgirepository1.0-dev,
	libglib2.0-dev (>= 2.45.8),
	libgudev-1.0-dev,
	libgusb-dev (>= 0.3.5),
	libjaylink-dev [!ia64],
	libjcat-dev,
	libjson-glib-dev (>= 1.1.1),
	liblzma-dev,
	libmbim-glib-dev,
	libmm-glib-dev,
	libpci-dev,
	libpolkit-gobject-1-dev,
	libprotobuf-c-dev,
	libqmi-glib-dev,
	libqrtr-glib-dev,
	libsqlite3-dev,
	libsystemd-dev,
	systemd-dev | systemd,
	libtss2-dev,
	libxmlb-dev (>= 0.3.17),
	libzstd-dev,
	locales,
	meson,
	mingw-w64-tools [amd64 arm64 armhf i386],
	pkg-config,
	protobuf-c-compiler,
	python3-gi-cairo,
	python3-jinja2,
	python3-packaging,
	python3-pefile,
	python3-requests,
	python3-toml,
	python3-typogrify,
	shared-mime-info,
	udev,
	umockdev,
	valac,
	valgrind-if-available,
Build-Depends-Indep: gi-docgen <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Section: admin
Homepage: https://github.com/fwupd/fwupd
Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd

Package: libfwupd2
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the library used by the daemon.

Package: fwupd
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info,
         systemd-sysusers
Recommends: python3,
	    bolt,
	    dbus,
	    secureboot-db,
	    udisks2,
	    fwupd-signed,
	    jq
Suggests: gir1.2-fwupd-2.0
Provides: fwupdate
Conflicts: fwupdate-amd64-signed,
	   fwupdate-i386-signed,
	   fwupdate-arm64-signed,
	   fwupdate-armhf-signed
Breaks: gir1.2-dfu-1.0 (<< 0.9.7-1),
	libdfu1 (<< 0.9.7-1),
	fwupdate (<< 12-7),
	libdfu-dev (<< 0.9.7-1)
Replaces: gir1.2-dfu-1.0 (<< 0.9.7-1),
	  libdfu1 (<< 0.9.7-1),
	  libdfu-dev (<< 0.9.7-1),
	  fwupdate (<< 12-7)
Multi-Arch: foreign
Description: Firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details

Package: fwupd-tests
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ca-certificates,
         dbus-x11,
         fwupd,
         gnome-desktop-testing,
         polkitd | policykit-1,
         python3,
         python3-gi,
         python3-requests,
Breaks: fwupd (<< 0.9.4-1)
Replaces: fwupd (<< 0.9.4-1)
Multi-Arch: foreign
Description: Test suite for firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides a set of installed tests that can be run to validate
 the daemon in a continuous integration system.

Package: fwupd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Build-Profiles: <!nodoc>
Description: Firmware update daemon documentation (HTML format)
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides development documentation for creating a package that
 uses fwupd.

Package: libfwupd-dev
Architecture: linux-any
Multi-Arch: same
Depends: libfwupd2 (= ${binary:Version}),
         gir1.2-fwupd-2.0 (= ${binary:Version}),
         libcurl4-gnutls-dev,
         libglib2.0-dev (>= 2.45.8),
         libjcat-dev,
         libjson-glib-dev (>= 1.1.1),
         ${misc:Depends}
Breaks: fwupd-dev (<< 0.5.4-2~)
Replaces: fwupd-dev (<< 0.5.4-2~)
Section: libdevel
Description: development files for libfwupd
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the development files for libfwupd

Package: gir1.2-fwupd-2.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libfwupd
 This package provides the introspection data for libfwupd.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## fwupd 1.9.21

=== debian/changelog ===
fwupd (1.9.21-1) unstable; urgency=medium

  * New upstream version (1.9.21)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 13 Jun 2024 11:56:56 -0500

fwupd (1.9.20-1) unstable; urgency=medium

  * New upstream version (1.9.20)
  * Fixes fwupdmgr auto-complete (LP: #2065948)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 20 May 2024 09:08:59 -0500

fwupd (1.9.19-1) unstable; urgency=medium

  * New upstream version (1.9.19)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 03 May 2024 07:33:51 -0500

## fwupd 1.9.24

=== debian/changelog ===
fwupd (1.9.24-1) unstable; urgency=medium

  * New upstream version (1.9.24)
    - Improves ESP detection false positives (LP: #2077553)
    - Adds support for mediatek scalar (LP: #2076151)
    - Fixes redfish protocol handling (LP: #2077411)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 21 Aug 2024 13:39:05 -0500

## fwupd 1.9.26

=== debian/changelog ===
fwupd (1.9.26-2) unstable; urgency=medium

  * Backport a patch to fix FTBFS without git in source tree.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 14 Oct 2024 20:42:12 -0500

fwupd (1.9.26-1) unstable; urgency=medium

  * New upstream version (1.9.26)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 14 Oct 2024 16:28:57 -0500

fwupd (1.9.25-1) unstable; urgency=medium

  * New upstream version (1.9.25)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 25 Sep 2024 09:54:26 -0500

## fwupd 1.9.27

=== debian/changelog ===
fwupd (1.9.27-0ubuntu1~24.10.1) oracular; urgency=medium

  * New upstream version (1.9.27)
    - Support for newer Dell docks (LP: #2085433)
    - Support for mediatek scalar (LP: #2083801)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 05 Dec 2024 09:53:25 -0600

## fwupd 1.9.28

=== debian/changelog ===
fwupd (1.9.28-0ubuntu1~24.10.1) oracular; urgency=medium

  * New upstream version (1.9.28)
    - Fix updating dell dock PD F/W (LP: #2097728)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 10 Feb 2025 08:19:44 -0600

## fwupd 1.9.30

=== debian/changelog ===
fwupd (1.9.30-0ubuntu1~24.10.1) oracular; urgency=medium

  * New upstream version (1.9.30)
    - Fix dell dock RMM FW info missing on some devices (LP: #2110209)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 08 May 2025 10:43:11 -0500

fwupd (1.9.29-0ubuntu1~24.04.1ubuntu1) noble; urgency=medium

  * New upstream version (1.9.29)
    - Fix updating dell dock RMM F/W (LP: #2104109)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 25 Mar 2025 12:48:06 -0500

## fwupd 1.9.31

=== contrib/freebsd/Makefile ===
# Created by: Norbert Kamiński <norbert.kaminski@3mdeb.com>
# $FreeBSD$

PORTNAME=	fwupd
DISTVERSION=
GH_TAGNAME=
CATEGORIES=	sysutils

MAINTAINER=	norbert.kaminski@3mdeb.com
COMMENT=	Update firmware automatically, safely, and reliably

LICENSE=	LGPL21

BUILD_DEPENDS=	gi-docgen:textproc/gi-docgen \
		help2man:misc/help2man \
		vala:lang/vala \
		${LOCALBASE}/libexec/fwupd/efi/fwupdx64.efi:sysutils/fwupd-efi \
		${PYTHON_PKGNAMEPREFIX}gobject3>0:devel/py-gobject3@${PY_FLAVOR}
LIB_DEPENDS=	libcurl.so:ftp/curl \
		libefiboot.so:devel/libefiboot \
		libgnutls.so:security/gnutls \
		libgpg-error.so:security/libgpg-error \
		libgpgme.so:security/gpgme \
		libgusb.so:devel/libgusb \
		libjcat.so:textproc/libjcat \
		libjson-glib-1.0.so:devel/json-glib \
		libprotobuf-c.so:devel/protobuf-c \
		libcbor.so:devel/libcbor \
		libxmlb.so:textproc/libxmlb \
		libefiboot.so:devel/gnu-efi

RUN_DEPENDS=	${LOCALBASE}/libexec/fwupd/efi/fwupdx64.efi:sysutils/fwupd-efi

USES=		gnome libarchive meson pkgconfig python:3.8+ shebangfix sqlite
USE_GITHUB=	yes
USE_GNOME=	glib20 introspection:build
GH_ACCOUNT=
INSTALLS_ICONS=	yes
USE_LDCONFIG=	yes

SHEBANG_GLOB=	*.py

MESON_ARGS=	-Dgudev=disabled \
		-Dplugin_intel_me=false \
		-Dpolkit=disabled \
		-Dsystemd=disabled \
		-Doffline=false \
		-Dtests=false \
		-Ddocs=enabled \
		-Defi_binary=false

.include <bsd.port.mk>

=== debian/changelog ===
fwupd (1.9.31-0ubuntu1~24.04.1) noble; urgency=medium

  * New upstream version (1.9.31)
    - Add Dell SD25TB5 and AIO system MTK scalar IC firmware update (LP: #2116567)

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Fri, 11 Jul 2025 15:24:04 +0800

fwupd (1.9.30-0ubuntu1~24.04.1) noble; urgency=medium

  * New upstream version (1.9.30)
    - Fix dell dock RMM FW info missing on some devices (LP: #2110209)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 08 May 2025 10:43:11 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

#GPGME needs this for proper building on 32 bit archs
ifeq ($(DEB_HOST_ARCH_BITS),32)
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

CONFARGS =

ifneq ($(CI),)
	CONFARGS += --werror
endif

ifneq ($(DEB_HOST_ARCH_CPU),ia64)
	CONFARGS += -Dplugin_flashrom=enabled
else
	CONFARGS += -Dplugin_flashrom=disabled
endif

ifneq ($(filter $(DEB_HOST_ARCH_CPU),i386 amd64),)
	CONFARGS += -Dplugin_msr=enabled
else
	CONFARGS += -Dplugin_msr=disabled
endif

ifneq ($(QUBES_OPTION),)
	CONFARGS += -Dqubes=true
endif

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	CONFARGS += -Ddocs=disabled
endif

CONFARGS += -Dplugin_powerd=disabled -Dsupported_build=enabled -Dplugin_modem_manager=enabled -Defi_binary=false

%:
	dh $@ --with gir

override_dh_auto_clean:
	rm -fr obj-*
	rm -fr debian/build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS)

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	dh_install -pfwupd $$(pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
	dh_install -pfwupd $$(pkg-config --variable=udevdir udev | sed s,^/,,)/rules.d
	#install MSR conf if needed (depending on distro)
	[ ! -d debian/tmp/usr/lib/modules-load.d ] || dh_install -pfwupd usr/lib/modules-load.d
	[ ! -d debian/tmp/lib/modules-load.d ] || dh_install -pfwupd lib/modules-load.d
	[ ! -d debian/tmp/usr/share/fwupd/quirks.d ] || dh_install -pfwupd usr/share/fwupd/quirks.d

	#install docs (maybe)
	[ ! -d debian/tmp/usr/share/doc ] || dh_install -pfwupd-doc usr/share/doc

	#install devices-tests (maybe)
	[ ! -d debian/tmp/usr/share/fwupd/device-tests/ ] || dh_install -pfwupd-tests usr/share/fwupd/device-tests

	#/usr merge or not (make backporting easier)
	[ ! -d debian/tmp/lib/systemd ] || dh_install -pfwupd lib/systemd
	[ ! -d debian/tmp/usr/lib/systemd ] || dh_install -pfwupd usr/lib/systemd

	dh_missing -a --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/share/fwupd/remotes.d/fwupd-tests.conf

	# avoid shipping an empty directory
	[ ! -d debian/fwupd/lib/systemd ] || find debian/fwupd/lib/systemd -type d -empty -delete
	[ ! -d debian/fwupd/usr/lib/systemd ] || find debian/fwupd/usr/lib/systemd -type d -empty -delete

	# the below step is automatic with debhelper >= 14
	dh_installsysusers

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

ifneq (yes,$(shell command -v valgrind >/dev/null 2>&1 && echo yes))
override_dh_auto_test:
	:
endif

override_dh_builddeb:
	dh_builddeb

## fwupd 1.9.33

=== debian/changelog ===
fwupd (1.9.33-0ubuntu1~24.04.1ubuntu1) noble; urgency=medium

  * New upstream version (1.9.31)
    - Add PS5512 usb firmware update (LP: #2131001)

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 30 Nov 2025 07:12:14 -0600

## fwupd 2.0.3

=== debian/changelog ===
fwupd (2.0.3-3) unstable; urgency=medium

  * Revert "Add trivial compile/link/run test for libfwupdplugin-dev"

 -- Mario Limonciello <superm1@gmail.com>  Sat, 07 Dec 2024 10:47:50 -0600

fwupd (2.0.3-2) unstable; urgency=medium

  * Correct a typo in flaky tests patch

 -- Mario Limonciello <superm1@gmail.com>  Fri, 06 Dec 2024 21:08:22 -0600

fwupd (2.0.3-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (2.0.3)
  * Mark fwupdmgr-p2p tests as flaky (Closes: #1070790)

  [ Simon McVittie ]
  * Add trivial compile/link/run test for libfwupdplugin-dev
  * d/control, d/control.in: tests depend on a system bus, not dbus-x11
    (Closes: #1079481)
  * d/control, d/control.in: Recommend a non-specific D-Bus system bus

 -- Mario Limonciello <superm1@gmail.com>  Fri, 06 Dec 2024 09:58:30 -0600

fwupd (2.0.2-2) unstable; urgency=medium

  * Backport a patch to fix a crash on newer AMD CPUs.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 27 Nov 2024 20:04:18 -0600

fwupd (2.0.2-1) unstable; urgency=medium

  * New upstream version (2.0.2)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 25 Nov 2024 06:49:00 -0600

fwupd (2.0.1-1) experimental; urgency=medium

  * New upstream version (2.0.1)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 15 Oct 2024 08:38:45 -0500

fwupd (2.0.0-1) experimental; urgency=medium

  * New upstream version (2.0.0)
  * Breaks ABI, introduce new libfwupd3 library for other software to use.
  * Adjust build depends for new version.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 09 Oct 2024 09:34:25 -0500

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	gnutls-bin,
 	gnutls-dev,
 	gobject-introspection,
+	hwdata,
 	libarchive-dev,
 	libcairo-dev,
 	libcairo-gobject2,
@@ -28,8 +29,6 @@
 	libftdi1-dev,
 	libgirepository1.0-dev,
 	libglib2.0-dev (>= 2.45.8),
-	libgudev-1.0-dev,
-	libgusb-dev (>= 0.3.5),
 	libjaylink-dev [!ia64],
 	libjcat-dev,
 	libjson-glib-dev (>= 1.1.1),
@@ -43,9 +42,9 @@
 	libqrtr-glib-dev,
 	libsqlite3-dev,
 	libsystemd-dev,
-	systemd-dev | systemd,
 	libtss2-dev,
-	libxmlb-dev (>= 0.3.17),
+	libusb-1.0-0-dev,
+	libxmlb-dev,
 	libzstd-dev,
 	locales,
 	meson,
@@ -60,6 +59,7 @@
 	python3-toml,
 	python3-typogrify,
 	shared-mime-info,
+	systemd-dev,
 	udev,
 	umockdev,
 	valac,
@@ -72,7 +72,7 @@
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd
 
-Package: libfwupd2
+Package: libfwupd3
 Section: libs
 Architecture: linux-any
 Depends: ${misc:Depends},
@@ -91,11 +91,12 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         libfwupd3 (= ${binary:Version}),
          shared-mime-info,
          systemd-sysusers
 Recommends: python3,
 	    bolt,
-	    dbus,
+	    default-dbus-system-bus | dbus-system-bus,
 	    secureboot-db,
 	    udisks2,
 	    fwupd-signed,
@@ -127,7 +128,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ca-certificates,
-         dbus-x11,
+         default-dbus-system-bus | dbus-system-bus,
          fwupd,
          gnome-desktop-testing,
          polkitd | policykit-1,
@@ -166,7 +167,7 @@
 Package: libfwupd-dev
 Architecture: linux-any
 Multi-Arch: same
-Depends: libfwupd2 (= ${binary:Version}),
+Depends: libfwupd3 (= ${binary:Version}),
          gir1.2-fwupd-2.0 (= ${binary:Version}),
          libcurl4-gnutls-dev,
          libglib2.0-dev (>= 2.45.8),

## fwupd 2.0.5

=== debian/changelog ===
fwupd (2.0.5-1) unstable; urgency=medium

  * New upstream version (2.0.5)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 20 Jan 2025 06:54:06 -0600

## fwupd 2.0.6

=== debian/changelog ===
fwupd (2.0.6-4) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop obsolete pkla configuration file (Closes: #1093066)
  * Add secureboot-db Recommends only on Ubuntu (Closes: #988817)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Mar 2025 23:16:32 -0600

fwupd (2.0.6-3) unstable; urgency=medium

  * Backport a patch to test for correct values for fwupdmgr security
    during autopkgtest.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 19 Feb 2025 06:59:54 -0600

fwupd (2.0.6-2) unstable; urgency=medium

  * d/control: Add polkitd to b-d.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 14 Feb 2025 13:05:05 -0600

fwupd (2.0.6-1) unstable; urgency=medium

  * New upstream version (2.0.6)
  * Drop patch for unneeded file.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 14 Feb 2025 08:12:59 -0600

=== debian/control ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	meson,
 	mingw-w64-tools [amd64 arm64 armhf i386],
 	pkg-config,
+	polkitd,
 	protobuf-c-compiler,
 	python3-gi-cairo,
 	python3-jinja2,
@@ -97,7 +98,7 @@
 Recommends: python3,
 	    bolt,
 	    default-dbus-system-bus | dbus-system-bus,
-	    secureboot-db,
+	    ${recommends:secureboot-db}
 	    udisks2,
 	    fwupd-signed,
 	    jq

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,9 @@
 CONFARGS =
 
 ifneq ($(CI),)
-	CONFARGS += --werror
+	CONFARGS += --werror -Db_coverage=true
+else
+	CONFARGS += -Dsupported_build=enabled
 endif
 
 ifneq ($(DEB_HOST_ARCH_CPU),ia64)
@@ -36,7 +38,7 @@
 	CONFARGS += -Ddocs=disabled
 endif
 
-CONFARGS += -Dplugin_powerd=disabled -Dsupported_build=enabled -Dplugin_modem_manager=enabled -Defi_binary=false
+CONFARGS += -Dplugin_powerd=disabled -Dplugin_modem_manager=enabled
 
 %:
 	dh $@ --with gir
@@ -53,7 +55,6 @@
 	sed -i 's,wheel,sudo,' debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
 	dh_install
 	dh_install -pfwupd $$(pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
-	dh_install -pfwupd $$(pkg-config --variable=udevdir udev | sed s,^/,,)/rules.d
 	#install MSR conf if needed (depending on distro)
 	[ ! -d debian/tmp/usr/lib/modules-load.d ] || dh_install -pfwupd usr/lib/modules-load.d
 	[ ! -d debian/tmp/lib/modules-load.d ] || dh_install -pfwupd lib/modules-load.d
@@ -81,6 +82,13 @@
 	# the below step is automatic with debhelper >= 14
 	dh_installsysusers
 
+override_dh_gencontrol:
+	if dpkg-vendor --derives-from ubuntu; then \
+		dh_gencontrol -- -Vrecommends:secureboot-db="secureboot-db,"; \
+	else \
+		dh_gencontrol -- -Vrecommends:secureboot-db=""; \
+	fi
+
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xfirmware-example.xml.gz

## fwupd 2.0.7

=== debian/changelog ===
fwupd (2.0.7-1) unstable; urgency=medium

  * New upstream version (2.0.7)
    - Fixes crash from too many open files (LP: #2093824)
    - Fixes Dell RMM update issue (LP: #2104109)
  * Drop backported patches from upstream

 -- Mario Limonciello <superm1@gmail.com>  Tue, 25 Mar 2025 11:35:34 -0500

fwupd (2.0.6-7) unstable; urgency=medium

  * Add explicit dependency on libxmlb 0.3.22 or later.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 20 Mar 2025 19:58:50 -0500

fwupd (2.0.6-6) unstable; urgency=medium

  * Backport a patch to fix autopkgtest failure on newer libxmlb
    (Closes: #1100915)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 20 Mar 2025 07:45:03 -0500

fwupd (2.0.6-5) unstable; urgency=medium

  [ Michael Biebl ]
  * Remove obsolete conffiles on upgrade (Closes: #1064877, #1100757)
  * Bump versions of existing rm_conffile entries (Closes: #980570, #1005417)

  [ Mario Limonciello ]
  * Backport a patch to fix install_dell_bios_exe.py (Closes: #1093432)
  * Backport a patch to fix a critical warning (Closes: #1099791)
  * Backport a patch to fix compilation against newer Pango versions

 -- Mario Limonciello <superm1@gmail.com>  Tue, 18 Mar 2025 17:07:45 -0500

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	libsystemd-dev,
 	libtss2-dev,
 	libusb-1.0-0-dev,
-	libxmlb-dev,
+	libxmlb-dev (>= 0.3.22),
 	libzstd-dev,
 	locales,
 	meson,
@@ -92,6 +92,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         libxmlb2 (>= 0.3.22),
          libfwupd3 (= ${binary:Version}),
          shared-mime-info,
          systemd-sysusers

=== debian/rules ===
--- 
+++ 
@@ -24,12 +24,6 @@
 	CONFARGS += -Dplugin_flashrom=disabled
 endif
 
-ifneq ($(filter $(DEB_HOST_ARCH_CPU),i386 amd64),)
-	CONFARGS += -Dplugin_msr=enabled
-else
-	CONFARGS += -Dplugin_msr=disabled
-endif
-
 ifneq ($(QUBES_OPTION),)
 	CONFARGS += -Dqubes=true
 endif
@@ -38,7 +32,7 @@
 	CONFARGS += -Ddocs=disabled
 endif
 
-CONFARGS += -Dplugin_powerd=disabled -Dplugin_modem_manager=enabled
+CONFARGS += -Dplugin_modem_manager=enabled
 
 %:
 	dh $@ --with gir

## fwupd 2.0.8

=== meson_options.txt ===
option('bash_completion',
  type: 'boolean',
  value: true,
  description: 'enable bash completion',
)
option('bluez',
  type: 'feature',
  description: 'BlueZ support',
)
option('build',
  type: 'combo',
  choices: [
    'all',
    'standalone',
    'library',
  ],
  value: 'all',
  description: 'build type',
)
option('cbor',
  type: 'feature',
  description: 'CBOR support for coSWID and uSWID',
)
option('dbus_socket_address',
  type: 'string',
  value: '',
  description: 'D-Bus socket address to use for p2p mode',
)
option('docs',
  type: 'feature',
  description: 'Build developer documentation',
)
option('efi_binary',
  type: 'boolean',
  value: false,
  description: 'generate uefi binary if missing',
)
option('plugin_qc_firehose',
  type: 'boolean',
  value: false,
  description: 'Build the beta-quality qc_firehose plugin',
)
option('efi_os_dir',
  type: 'string',
  description: 'the hardcoded name of OS directory in ESP, e.g. fedora',
)
option('firmware-packager',
  type: 'boolean',
  value: true,
  description: 'enable firmware-packager installation',
)
option('fish_completion',
  type: 'boolean',
  value: true,
  description: 'enable fish completion',
)
option('gnutls',
  type: 'feature',
  description: 'GnuTLS support',
)
option('hsi',
  type: 'feature',
  description: ' Host Security Information',
)
option('introspection',
  type: 'feature',
  description: 'generate GObject Introspection data',
)
option('launchd_agent_dir',
  type: 'string',
  value: '/Library/LaunchAgents',
  description: 'Directory to put the launchd agent',
)
option('libarchive',
  type: 'feature',
  description: 'libarchive support',
)
option('libdrm',
  type: 'feature',
  description: 'libdrm support',
)
option('valgrind',
  type: 'feature',
  description: 'valgrind support',
)
option('blkid',
  type: 'feature',
  description: 'libblkid support',
)
option('lvfs',
  type: 'combo',
  choices: [
    'true',
    'false',
    'disabled',
  ],
  value: 'true',
  description: 'install LVFS remotes',
)
option('man',
  type: 'boolean',
  value: true,
  description: 'enable man pages',
)
option('metainfo',
  type: 'boolean',
  value: true,
  description: 'install the project metainfo.xml information',
)
option('passim',
  type: 'feature',
  description: 'Passim support',
)
option('p2p_policy',
  type: 'combo',
  choices: [
    'none',
    'metadata',
    'firmware',
    'metadata,firmware',
  ],
  value: 'metadata',
  description: 'Default P2P sharing policy',
)
option('plugin_flashrom',
  type: 'feature',
  description: 'flashrom support',
)
option('protobuf',
  type: 'feature',
  description: 'protobuf support',
)
option('plugin_modem_manager',
  type: 'feature',
  description: 'ModemManager support',
)
option('plugin_uefi_capsule_splash',
  type: 'boolean',
  value: true,
  description: 'enable UEFI capsule splash support',
)
option('polkit',
  type: 'feature',
  description: 'PolKit support in daemon',
)
option('python',
  type: 'string',
  description: 'the absolute path of the python3 binary',
)
option('qubes',
  type: 'boolean',
  value: false,
  description: 'build packages for Qubes OS',
)
option('static_analysis',
  type: 'boolean',
  value: false,
  description: 'enable GCC static analysis support',
)
option('supported_build',
  type: 'feature',
  description: 'distribution package with upstream support',
)
option('systemd',
  type: 'feature',
  description: 'systemd support',
)
option('systemd_root_prefix',
  type: 'string',
  value: '',
  description: 'Directory to base systemd’s installation directories on',
)
option('systemd_unit_user',
  type: 'string',
  value: 'fwupd-refresh',
  description: 'User account to use for fwupd-refresh.service (empty for DynamicUser)',
)
option('tests',
  type: 'boolean',
  value: true,
  description: 'enable tests',
)
option('umockdev_tests',
  type: 'feature',
  description: 'umockdev tests',
)
option('vendor_ids_dir',
  type: 'string',
  value: '',
  description: 'Directory for usb.ids, pci.ids etc.',
)
option('vendor_metadata',
  type: 'boolean',
  value: false,
  description: 'install OS vendor provided metadata',
)

=== debian/changelog ===
fwupd (2.0.8-3) unstable; urgency=medium

  * Backport a patch fixing crashes from uevents without keys (LP: #2107540)
  * Backport a patch to prevent Google Pixel devices from matching fastboot

 -- Mario Limonciello <superm1@gmail.com>  Sun, 27 Apr 2025 14:00:38 -0500

fwupd (2.0.8-2) unstable; urgency=medium

  * Backport a patch to require libusb 1.0.27. This will help make
    failures on backports to stable or old-stable clearer.
  * Backport a patch that fixes functionality when not using systemd
  * Backport a patch that fixes FTBFS on 32-bit archs (Closes: #1103371)
  * Backport 2 patches that fix KEK and PK enumeration. This fixes secure
    boot detection on some systems.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 16 Apr 2025 22:16:43 -0500

fwupd (2.0.8-1) unstable; urgency=medium

  * New upstream version (2.0.8)
    - Fixes reboot issue (Closes: #1102318)
    - Fixes json output for `fwupdmgr update --json` (Closes: #1095450)
  * Drop 0001-trivial-motd-correct-fwupd-refresh.service-man-page-.patch
    (upstream)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 09 Apr 2025 11:29:23 -0500

fwupd (2.0.7-4) unstable; urgency=medium

  * Fix FTBFS for 'all': Only make symlink if fwupd-tests is being built

 -- Mario Limonciello <superm1@gmail.com>  Thu, 03 Apr 2025 21:34:41 -0500

fwupd (2.0.7-3) unstable; urgency=medium

  * Use ieee-data for OUI data
  * Avoid installing OUI data for installed tests (depend on ieee-data instead)
  * Drop debian/*qubes*
  * d/control: b-d on pkgconf instead pkg-config
  * d/control: Update standards version
  * Backport a patch to fix man page section

 -- Mario Limonciello <superm1@gmail.com>  Thu, 03 Apr 2025 14:26:09 -0500

fwupd (2.0.7-2) unstable; urgency=medium

  * Remove Multi-arch: same from libfwupd-dev (Closes: #1100968)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 31 Mar 2025 11:07:27 -0500

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	locales,
 	meson,
 	mingw-w64-tools [amd64 arm64 armhf i386],
-	pkg-config,
+	pkgconf,
 	polkitd,
 	protobuf-c-compiler,
 	python3-gi-cairo,
@@ -67,7 +67,7 @@
 	valgrind-if-available,
 Build-Depends-Indep: gi-docgen <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.2
 Section: admin
 Homepage: https://github.com/fwupd/fwupd
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
@@ -133,6 +133,7 @@
          default-dbus-system-bus | dbus-system-bus,
          fwupd,
          gnome-desktop-testing,
+         ieee-data,
          polkitd | policykit-1,
          python3,
          python3-gi,
@@ -168,7 +169,6 @@
 
 Package: libfwupd-dev
 Architecture: linux-any
-Multi-Arch: same
 Depends: libfwupd3 (= ${binary:Version}),
          gir1.2-fwupd-2.0 (= ${binary:Version}),
          libcurl4-gnutls-dev,

## fwupd 2.0.12

=== debian/changelog ===
fwupd (2.0.12-1) experimental; urgency=medium

  * New upstream version.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 19 Jun 2025 23:04:37 -0500

fwupd (2.0.10-1) experimental; urgency=medium

  * New upstream version.
  * d/control: Update my email

 -- Mario Limonciello <superm1@gmail.com>  Fri, 30 May 2025 11:43:44 -0500

fwupd (2.0.9-1) experimental; urgency=medium

  * New upstream version (2.0.9)
    - Drop all upstream patches.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 08 May 2025 10:51:51 -0500

## fwupd 2.0.13

=== debian/changelog ===
fwupd (2.0.13-2) unstable; urgency=medium

  * Upload to unstable

 -- Mario Limonciello <superm1@gmail.com>  Sun, 10 Aug 2025 12:28:15 -0500

fwupd (2.0.13-1) experimental; urgency=medium

  * New upstream version.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 22 Jul 2025 15:58:45 -0500

## fwupd 2.0.14

=== debian/changelog ===
fwupd (2.0.14-1) unstable; urgency=medium

  * New upstream version (2.0.14)

 -- Mario Limonciello <superm1@debian.org>  Fri, 29 Aug 2025 11:28:00 -0500

## fwupd 2.0.15

=== debian/changelog ===
fwupd (2.0.15-1) unstable; urgency=medium

  * New upstream version (2.0.15)

 -- Mario Limonciello <superm1@debian.org>  Wed, 10 Sep 2025 12:57:57 -0500
